Bug 15213 - Drag-and-drop processing model
Drag-and-drop processing model
Status: RESOLVED NEEDSINFO
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 15:55 UTC by John Foliot
Modified: 2013-02-26 18:25 UTC (History)
11 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Foliot 2011-12-15 15:55:06 UTC
In the section "Drag-and-drop processing model" (http://dev.w3.org/html5/spec/dnd.html#drag-and-drop-processing-model) it states:
  "Note: img elements and a elements with an href attribute have their draggable attribute set to true by default."

This list should also include any element who's role has been set (via ARIA) to either role="link" or role="img" as they are functional equivalents in the Accessibility API
Comment 1 Anne 2011-12-15 18:34:48 UTC
I thought the intention of ARIA was pure mapping to the accessibility API. I.e. we would not attach behavior to it.
Comment 2 Everett Zufelt 2011-12-15 18:57:06 UTC
(In reply to comment #1)
> I thought the intention of ARIA was pure mapping to the accessibility API. I.e.
> we would not attach behavior to it.

I can't comment on the intention of ARIA in general, or of its role in the spec. 

I can say that anchors and images are given the @draggable attribute by default. The ARIA link and img roles are used by developers to represent links (anchors) and images, where native markup is not sufficient. I expect that role="link" and role="img" map to <a> and <img> respectively, in the a11y API mapping. Therefore, I think that we should provide, by default, the @draggable attribute for these roles, in the same way that @draggable is applied by default to <a> and <img>.
Comment 3 Anne 2011-12-16 09:46:54 UTC
At that point you violate the design of ARIA.
Comment 4 Ian 'Hixie' Hickson 2012-01-28 22:05:53 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: see comment 3
Comment 5 Everett Zufelt 2012-01-29 12:15:11 UTC
Marking as a tracker request.

Title: Set @draggable by default on elements with @role="link" or @role="img"

Text: See bug description.
Comment 6 Ian 'Hixie' Hickson 2012-01-30 20:08:51 UTC
Please do not reopen bugs you escalate.
Comment 7 Sam Ruby 2012-10-04 19:23:29 UTC
Does this feature have either a thorough test suite or a single reasonably
complete implementation?
Comment 8 Edward O'Connor 2013-01-09 18:44:33 UTC
Reopening per Sam's comments in <http://lists.w3.org/Archives/Public/public-html-admin/2013Jan/0007.html>.
Comment 9 Edward O'Connor 2013-01-14 21:13:00 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change.
Rationale: As Anne explained in comment 1 and comment 3, this would be a
layering violation.
Comment 10 Maciej Stachowiak 2013-02-11 23:35:07 UTC
(In reply to comment #7)
> Does this feature have either a thorough test suite or a single reasonably
> complete implementation?

I don't think we have an implementation or tests yet, so I don't think this would meet the HTML5 exit criteria as-is.

John, would you consider either dropping the tracker request, or writing up an extension spec?
Comment 11 Sam Ruby 2013-02-26 18:25:16 UTC
Changing status to NEEDSINFO, and dropping TrackerRequest to indicate that we are waiting on a reply from John Foliot.

http://lists.w3.org/Archives/Public/public-html-admin/2013Feb/0230.html

If the information is provided, TrackerRequest can be added back on.  That being said: there's virtually no possibility for this to make HTML 5.0 without a thorough test suite or a single reasonably complete implementation, and the most expeditious path to getting this feature into HTML 5.1 would be an extension specification.